-- ---------------------------------------------------
-- GamePad Realistic DriVer Script by Mortal v0.4
-- Based on script by skyrayfox (Thanks)
-- Special Thanks to Alexander Blade by ScriptHook
-- And to headscript for lua plugin
--
-- Changelog:
-- 0.4: Doors, levels
-- 0.3: Leave engine on/off, light etc
-- 0.1:
-- Gamepad script.lua file WIP
-- 
-- 
-- ####################################################

-- CONFIGURE KEYS BELOW - defaults listen on the right:
key                = {}
key.closemenu      = 8 -- "backspace"
key.openmenu       = 114 -- "F3"
key.enterveh       = 70 -- "F"
key.driveforwards  = 87 -- "W" drive forward key (used to disengage cruise)
key.drivebackwards = 83 -- "S" drive backward key (used to disengage cruise)
key.handbrake 	   = 32 -- "space" key used for handbraking (used to disengage cruise)

key.ctrl           = 17 -- "Control" modifier used with the keys below (eg. Ctrl+S for brake lights)
key.turnleft       = 71 -- "A" left turn signal
key.turnright      = 68 -- "D" right turn signal
key.brakelights    = 83 -- "S" brake lights
key.siren          = 90 -- "Z" blip police siren
key.cruise         = 87 -- "W" toggle cruise
key.engine         = 88 -- "X" toggle engine
key.skipsong       = 187 -- "+" skip current radio song

key.shift          = 16 -- "Shift" modifier used with emergency lights
key.emergencylights= 83 -- "S" emergency lights

-- Pad work disabled wip:

--PadButton                = ()
--PadButton.turnleft       = 2,71 -- "" left turn signal
--PadButton.turnright      = 68 -- "" right turn signal
--PadButton.brakelights    = 83 -- "" brake lights
--PadButton.siren          = 90 -- "" blip police siren
--PadButton.cruise         = 87 -- "" toggle cruise
--PadButton.engine         = 88 -- "" toggle engine
--PadButton.skipsong       = 187 -- "" skip current radio song

-- KEY CODES:
------------------------------------
-- Keys.None               = 0
-- Keys.LButton            = 1
-- Keys.RButton            = 2
-- Keys.Cancel             = 3
-- Keys.MButton            = 4
-- Keys.XButton1           = 5
-- Keys.XButton2           = 6
-- Keys.Back               = 8
-- Keys.Tab                = 9
-- Keys.LineFeed           = 10
-- Keys.Clear              = 12
-- Keys.Return             = 13
-- Keys.ShiftKey           = 16
-- Keys.ControlKey         = 17
-- Keys.Menu               = 18
-- Keys.Pause              = 19
-- Keys.Capital            = 20
-- Keys.KanaMode           = 21
-- Keys.JunjaMode          = 23
-- Keys.FinalMode          = 24
-- Keys.HanjaMode          = 25
-- Keys.Escape             = 27
-- Keys.IMEConvert         = 28
-- Keys.IMENonconvert      = 29
-- Keys.IMEAceept          = 30
-- Keys.IMEModeChange      = 31
-- Keys.Space              = 32
-- Keys.PageUp             = 33
-- Keys.Next               = 34
-- Keys.End                = 35
-- Keys.Home               = 36
-- Keys.Left               = 37
-- Keys.Up                 = 38
-- Keys.Right              = 39
-- Keys.Down               = 40
-- Keys.Select             = 41
-- Keys.Print              = 42
-- Keys.Execute            = 43
-- Keys.PrintScreen        = 44
-- Keys.Insert             = 45
-- Keys.Delete             = 46
-- Keys.Help               = 47
-- Keys.D0                 = 48
-- Keys.D1                 = 49
-- Keys.D2                 = 50
-- Keys.D3                 = 51
-- Keys.D4                 = 52
-- Keys.D5                 = 53
-- Keys.D6                 = 54
-- Keys.D7                 = 55
-- Keys.D8                 = 56
-- Keys.D9                 = 57
-- Keys.A                  = 65
-- Keys.B                  = 66
-- Keys.C                  = 67
-- Keys.D                  = 68
-- Keys.E                  = 69
-- Keys.F                  = 70
-- Keys.G                  = 71
-- Keys.H                  = 72
-- Keys.I                  = 73
-- Keys.J                  = 74
-- Keys.K                  = 75
-- Keys.L                  = 76
-- Keys.M                  = 77
-- Keys.N                  = 78
-- Keys.O                  = 79
-- Keys.P                  = 80
-- Keys.Q                  = 81
-- Keys.R                  = 82
-- Keys.S                  = 83
-- Keys.T                  = 84
-- Keys.U                  = 85
-- Keys.V                  = 86
-- Keys.W                  = 87
-- Keys.X                  = 88
-- Keys.Y                  = 89
-- Keys.Z                  = 90
-- Keys.LWin               = 91
-- Keys.RWin               = 92
-- Keys.Apps               = 93
-- Keys.Sleep              = 95
-- Keys.NumPad0            = 96
-- Keys.NumPad1            = 97
-- Keys.NumPad2            = 98
-- Keys.NumPad3            = 99
-- Keys.NumPad4            = 100
-- Keys.NumPad5            = 101
-- Keys.NumPad6            = 102
-- Keys.NumPad7            = 103
-- Keys.NumPad8            = 104
-- Keys.NumPad9            = 105
-- Keys.Multiply           = 106
-- Keys.Add                = 107
-- Keys.Separator          = 108
-- Keys.Subtract           = 109
-- Keys.Decimal            = 110
-- Keys.Divide             = 111
-- Keys.F1                 = 112
-- Keys.F2                 = 113
-- Keys.F3                 = 114
-- Keys.F4                 = 115
-- Keys.F5                 = 116
-- Keys.F6                 = 117
-- Keys.F7                 = 118
-- Keys.F8                 = 119
-- Keys.F9                 = 120
-- Keys.F10                = 121
-- Keys.F11                = 122
-- Keys.F12                = 123
-- Keys.F13                = 124
-- Keys.F14                = 125
-- Keys.F15                = 126
-- Keys.F16                = 127
-- Keys.F17                = 128
-- Keys.F18                = 129
-- Keys.F19                = 130
-- Keys.F20                = 131
-- Keys.F21                = 132
-- Keys.F22                = 133
-- Keys.F23                = 134
-- Keys.F24                = 135
-- Keys.NumLock            = 144
-- Keys.Scroll             = 145
-- Keys.LShiftKey          = 160
-- Keys.RShiftKey          = 161
-- Keys.LControlKey        = 162
-- Keys.RControlKey        = 163
-- Keys.LMenu              = 164
-- Keys.RMenu              = 165
-- Keys.BrowserBack        = 166
-- Keys.BrowserForward     = 167
-- Keys.BrowserRefresh     = 168
-- Keys.BrowserStop        = 169
-- Keys.BrowserSearch      = 170
-- Keys.BrowserFavorites   = 171
-- Keys.BrowserHome        = 172
-- Keys.VolumeMute         = 173
-- Keys.VolumeDown         = 174
-- Keys.VolumeUp           = 175
-- Keys.MediaNextTrack     = 176
-- Keys.MediaPreviousTrack = 177
-- Keys.MediaStop          = 178
-- Keys.MediaPlayPause     = 179
-- Keys.LaunchMail         = 180
-- Keys.SelectMedia        = 181
-- Keys.LaunchApplication1 = 182
-- Keys.LaunchApplication2 = 183
-- Keys.Oem1               = 186
-- Keys.Oemplus            = 187
-- Keys.Oemcomma           = 188
-- Keys.OemMinus           = 189
-- Keys.OemPeriod          = 190
-- Keys.OemQuestion        = 191
-- Keys.Oemtilde           = 192
-- Keys.OemOpenBrackets    = 219
-- Keys.Oem5               = 220
-- Keys.Oem6               = 221
-- Keys.Oem7               = 222
-- Keys.Oem8               = 223
-- Keys.OemBackslash       = 226
-- Keys.ProcessKey         = 229
-- Keys.Packet             = 231
-- Keys.Attn               = 246
-- Keys.Crsel              = 247
-- Keys.Exsel              = 248
-- Keys.EraseEof           = 249
-- Keys.Play               = 250
-- Keys.Zoom               = 251
-- Keys.NoName             = 252
-- Keys.Pa1                = 253
-- Keys.OemClear           = 254
-- Keys.KeyCode            = 65535
-- Keys.Shift              = 65536
-- Keys.Control            = 131072
-- Keys.Alt                = 262144
-- Keys.Modifiers          = -65536
------------------------------------

local rvc = {}

isDoorOpen                 = false
isAllLightsOn              = false
isLeftIndicatorOn          = false
isRightIndicatorOn         = false
isEmergencyIndicatorOn     = false
isInteriorLightOn          = false
isBrakeLightOn             = false
isExtraLightOn             = false
isEngineOff                = true
isBrakeLightOnWhenStopped = false
setCruiseSpeed             = 0

function rvc.tick()
	-- variables
	playerPed = PLAYER.PLAYER_PED_ID()
	player = PLAYER.GET_PLAYER_PED(playerPed)
	playerVehicle = PED.GET_VEHICLE_PED_IS_USING(playerPed)
	playerVehicleSpeed = ENTITY.GET_ENTITY_SPEED(playerVehicle)
	isPlayerDriving	= (VEHICLE.GET_PED_IN_VEHICLE_SEAT(playerVehicle, -1) == playerPed)
	playerVehicleHealth = VEHICLE.GET_VEHICLE_ENGINE_HEALTH(playerVehicle)
	-- variables end

	-- run UI
	-- rvc.GUI.tick()

	-- hide UI
	-- if CONTROLS.IS_CONTROL_PRESSED(2,61) or CONTROLS.IS_CONTROL_PRESSED(2,62) then
	--	rvc.GUI.hidden = true
	-- end

	-- show UI
	-- if(get_key_pressed(key.openmenu)) or CONTROLS.IS_CONTROL_PRESSED(2,75) then
	--	rvc.GUI.hidden = false
	-- end
	
	-- Close Doors
	if 
	CONTROLS.IS_CONTROL_PRESSED(2,69) and CONTROLS.IS_CONTROL_PRESSED(2,86) and CONTROLS.IS_CONTROL_PRESSED(2,93) then
	wait(200)
		if (isPlayerDriving == true) then
		rvc.closeDoors(0.02,0.25,0.03,0.03)
		rvc.keyDelay()
		end
	end
	
	-- Open DoorsT
	if 
	CONTROLS.IS_CONTROL_PRESSED(2,69) and CONTROLS.IS_CONTROL_PRESSED(2,86) then
	wait(200)
		if (isPlayerDriving == true) then
		rvc.openDoors(5,0.02,0.25,0.03,0.03)
		rvc.keyDelay()
		end
	end
	
	-- Open DoorsH
	if 
	CONTROLS.IS_CONTROL_PRESSED(2,69) and CONTROLS.IS_CONTROL_PRESSED(2,93) then
	wait(200)
		if (isPlayerDriving == true) then
		rvc.openDoors(4,0.02,0.25,0.03,0.03)
		rvc.keyDelay()
		end
	end
	
	-- Open DoorsRL
	if CONTROLS.IS_CONTROL_PRESSED(2,86) and CONTROLS.IS_CONTROL_PRESSED(2,76) then
	wait(200)
		if (isPlayerDriving == true) then
		rvc.openDoors(2,0.02,0.25,0.03,0.03)
		rvc.keyDelay()
		end
	end
	
	-- Open DoorsRR
	if CONTROLS.IS_CONTROL_PRESSED(2,93) and CONTROLS.IS_CONTROL_PRESSED(2,76) then
	wait(200)
		if (isPlayerDriving == true) then
		rvc.openDoors(3,0.02,0.25,0.03,0.03)
		rvc.keyDelay()
		end
	end
	
	-- Open DoorsFL
	if CONTROLS.IS_CONTROL_PRESSED(2,86) and CONTROLS.IS_CONTROL_PRESSED(2,80) then
	wait(200)
		if (isPlayerDriving == true) then
		rvc.openDoors(0,0.02,0.25,0.03,0.03)
		rvc.keyDelay()
		end
	end
	
	-- Open DoorsFR
	if CONTROLS.IS_CONTROL_PRESSED(2,93) and CONTROLS.IS_CONTROL_PRESSED(2,80) then
	wait(200)
		if (isPlayerDriving == true) then
		rvc.openDoors(1,0.02,0.25,0.03,0.03)
		rvc.keyDelay()
		end
	end
	
	-- IntLight
	if CONTROLS.IS_CONTROL_PRESSED(2,80) then
		if (isPlayerDriving == true) then
		rvc.toggleInteriorLight()
		rvc.keyDelay()
		end
	end
	
	-- Open Windows
	if CONTROLS.IS_CONTROL_PRESSED(2,74) then
		if (isPlayerDriving == true) then
		rvc.openWindows()
		rvc.keyDelay()
		end
	end
	
	-- Close Windows
	if CONTROLS.IS_CONTROL_PRESSED(2,74) then
		if (isPlayerDriving == true) then
		rvc.closeWindows()
		rvc.keyDelay2()
		end
	end
	
	-- Leave veh with engine on
	if CONTROLS.IS_CONTROL_PRESSED(2,75) then
	    wait(200)
	   if CONTROLS.IS_CONTROL_PRESSED(2,75) then
	      if (isPlayerDriving == true) then
             rvc.leaveVehicleEngineOff()
		  end
	   else
			if (isPlayerDriving == true) then
				rvc.leaveVehicle()	
			end
		end
		wait(1000)
	end

	-- Leave veh with engine on
	-- if CONTROLS.IS_CONTROL_PRESSED(2,75) then
	--	if (isPlayerDriving == false) then
    --         rvc.leaveVehicleEngine()
	--	end
	-- end

	-- Leave veh with engine off
	--if CONTROLS.IS_CONTROL_PRESSED(2,75) then
	--	if (isPlayerDriving == true) then
	--		rvc.leaveVehicleEngineOff()
	--		rvc.keyDelay()
	--	end
	--end

	-- Toggle left indicator
	if CONTROLS.IS_CONTROL_PRESSED(2,68) then
			rvc.toggleLeftIndicator()
			rvc.keyDelay()
	end

	-- Toggle right indicator
	if CONTROLS.IS_CONTROL_PRESSED(2,69) then
			rvc.toggleRightIndicator()
			rvc.keyDelay()
	end

	-- Toggle emergency lights indicator
	if CONTROLS.IS_CONTROL_PRESSED(2,74) then
			rvc.toggleEmergencyIndicator()
	end	

	-- Toggle brake lights
	if CONTROLS.IS_CONTROL_PRESSED(2,79) and get_key_pressed(key.ctrl) then
		isBrakeLightOn = not isBrakeLightOn
		rvc.keyDelay()
	end
	if (isBrakeLightOn == true) then
		VEHICLE.SET_VEHICLE_BRAKE_LIGHTS(playerVehicle, true)
	end

	-- blip siren (police cars only)
	if get_key_pressed(key.siren) and get_key_pressed(key.ctrl) then
		rvc.blipSiren()
	end

	-- cruise control
	if (setCruiseSpeed ~= 0) and (VEHICLE.IS_VEHICLE_ON_ALL_WHEELS(playerVehicle)) then
		-- turn on cruise only if player veh speed is above 10
		if (playerVehicleSpeed > 5) then
			VEHICLE.SET_VEHICLE_FORWARD_SPEED(playerVehicle, setCruiseSpeed)
		end
		-- turn off cruise if slowing down/speeding up/ flying
		if get_key_pressed(key.drivebackwards) or get_key_pressed(key.driveforwards) or get_key_pressed(key.handbrake) or (VEHICLE.IS_VEHICLE_ON_ALL_WHEELS(playerVehicle) == false) or (playerVehicleSpeed < 4) then
			setCruiseSpeed = 0
		end
	end
	-- Turn on cruise control 
	if get_key_pressed(key.cruise) and get_key_pressed(key.ctrl) then
		rvc.toggleCruise()
	end

	-- Toggle engine
	if CONTROLS.IS_CONTROL_PRESSED(2,69) and CONTROLS.IS_CONTROL_PRESSED(2,76) then
		rvc.toggleEngine()
		rvc.keyDelay()
	end
	if (isEngineOff == true) then
		VEHICLE.SET_VEHICLE_ENGINE_ON(playerVehicle, false, true)
	end
	-- Toggle engine off
	--if CONTROLS.IS_CONTROL_PRESSED(2,75) then
	--    rvc.toggleEngine()
	--end
	--if (isEngineOff == true) then
	--	VEHICLE.SET_VEHICLE_ENGINE_ON(playerVehicle, false, true)
	--end
	-- turn engine on if moving forward or backward
	if get_key_pressed(key.drivebackwards) or get_key_pressed(key.driveforwards) then
		isEngineOff = false
	end

	-- Skip radio song
	if CONTROLS.IS_CONTROL_PRESSED(2,93) and CONTROLS.IS_CONTROL_PRESSED(2,85) then
		rvc.skipSong()
		rvc.keyDelay()
    end

    -- toggle brake lights on when stationary and enabled
	if (math.floor(playerVehicleSpeed) == 0) and (isAllLightsOn == false) and (isBrakeLightOnWhenStopped == true) then
		VEHICLE.SET_VEHICLE_BRAKE_LIGHTS(playerVehicle, true)
	end

end

function booltoint(bool)
	if bool then
		return 1
	else
		return 0
	end
end

function rvc.keyDelay()
	wait(500)
end

function rvc.keyDelay2()
	wait(900)
end

function rvc.keyDelay3()
	wait(1500)
end

function rvc.keyDelay4()
	wait(300)
end

function rvc.keyDelay0()
	wait(0)
end

function rvc.brakeLightsWhenStopped()
	isBrakeLightOnWhenStopped = not isBrakeLightOnWhenStopped
end

function rvc.fixTyre()
	VEHICLE.SET_VEHICLE_TYRE_FIXED(playerVehicle, 0)
	VEHICLE.SET_VEHICLE_TYRE_FIXED(playerVehicle, 1)
	VEHICLE.SET_VEHICLE_TYRE_FIXED(playerVehicle, 2)
	VEHICLE.SET_VEHICLE_TYRE_FIXED(playerVehicle, 3)
	VEHICLE.SET_VEHICLE_TYRE_FIXED(playerVehicle, 4)
	VEHICLE.SET_VEHICLE_TYRE_FIXED(playerVehicle, 5)
	rvc.keyDelay()
end

function rvc.blipSiren()
	AUDIO.BLIP_SIREN(playerVehicle)
	rvc.keyDelay()
end

function rvc.toggleEngine()
	isEngineOff = not isEngineOff
	rvc.keyDelay4()
end

function rvc.toggleEngine2()
	isEngineOff = not isEngineOff
end

function rvc.cleanVehicle()
	VEHICLE.SET_VEHICLE_DIRT_LEVEL(playerVehicle, 0)
end

function rvc.fixVehicle()
	VEHICLE.SET_VEHICLE_FIXED(playerVehicle)
end

function rvc.toggleCruise()
	setCruiseSpeed = playerVehicleSpeed
	setCruiseSpeed = math.floor(setCruiseSpeed)
	rvc.GUI.hidden = true
end

function rvc.toggleAllLights()
	isAllLightsOn = not isAllLightsOn
	VEHICLE.SET_VEHICLE_LIGHTS(playerVehicle, booltoint(isAllLightsOn))
	rvc.keyDelay()
end

function rvc.toggleEmergencyIndicator()
	isEmergencyIndicatorOn = not isEmergencyIndicatorOn
	VEHICLE.SET_VEHICLE_INDICATOR_LIGHTS(playerVehicle, true, isEmergencyIndicatorOn)
	VEHICLE.SET_VEHICLE_INDICATOR_LIGHTS(playerVehicle, false, isEmergencyIndicatorOn)
	rvc.keyDelay()
end

function rvc.toggleLeftIndicator()
	isLeftIndicatorOn = not isLeftIndicatorOn
	VEHICLE.SET_VEHICLE_INDICATOR_LIGHTS(playerVehicle, true, isLeftIndicatorOn)
	rvc.keyDelay()
end

function rvc.toggleRightIndicator()
	isRightIndicatorOn = not isRightIndicatorOn
	VEHICLE.SET_VEHICLE_INDICATOR_LIGHTS(playerVehicle, false, isRightIndicatorOn)
	rvc.keyDelay()
end

function rvc.toggleBrakeLights()
	isBrakeLightOn = not isBrakeLightOn
	rvc.keyDelay()
end

function rvc.openDoorT()
	VEHICLE.SET_VEHICLE_DOOR_OPEN(playerVehicle,1,0.02,0.25,0.03,0.03, true, false)
end

function rvc.openDoors(doorIndex)
	VEHICLE.SET_VEHICLE_DOOR_OPEN(playerVehicle, doorIndex, true, false)
end

function rvc.closeDoors()
	VEHICLE.SET_VEHICLE_DOORS_SHUT(playerVehicle, true)
end

function rvc.openWindows()
	VEHICLE.ROLL_DOWN_WINDOWS(playerVehicle)
end

function rvc.closeWindows()
	VEHICLE.ROLL_UP_WINDOW(playerVehicle,0)
	VEHICLE.ROLL_UP_WINDOW(playerVehicle,1)
	VEHICLE.ROLL_UP_WINDOW(playerVehicle,2)
	VEHICLE.ROLL_UP_WINDOW(playerVehicle,3)
end

function rvc.leaveVehicle()
	AI.TASK_LEAVE_VEHICLE(playerPed, playerVehicle, 8)
	rvc.keyDelay0()
	VEHICLE.SET_VEHICLE_ENGINE_ON(playerVehicle, true, true)
end

function rvc.leaveVehicleEngineOff()
	AI.TASK_LEAVE_VEHICLE(playerPed, playerVehicle, 8)
	rvc.keyDelay0()
	VEHICLE.SET_VEHICLE_ENGINE_ON(playerVehicle, false, true)
end

function rvc.toggleInteriorLight()
	isInteriorLightOn = not isInteriorLightOn
	VEHICLE.SET_VEHICLE_INTERIORLIGHT(playerVehicle, isInteriorLightOn)
	rvc.keyDelay()
end

function rvc.toggleExtraLight()
	isExtraLightOn = not isExtraLightOn
	VEHICLE.SET_TAXI_LIGHTS(playerVehicle, isExtraLightOn)
	rvc.keyDelay()
end

function rvc.skipSong()
    isskipSong = not isSkipSong
	AUDIO.SKIP_RADIO_FORWARD()
	rvc.keyDelay()
end


function rvc.init()
	rvc.GUI = Libs["GUI"]
	-- add all buttons to UI
    rvc.GUI.addButton("Toggle Engine",rvc.toggleEngine,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Toggle Cruise",rvc.toggleCruise,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Toggle Left Indicator",rvc.toggleLeftIndicator,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Toggle Right Indicator",rvc.toggleRightIndicator,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Toggle Emergency Light",rvc.toggleEmergencyIndicator,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("BrakeL Always On",rvc.toggleBrakeLights,"",0.02,0.25,0.03,0.03)
	rvc.GUI.addButton("BrakeL When Stopped",rvc.brakeLightsWhenStopped,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Toggle Interior Light",rvc.toggleInteriorLight,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Toggle Extra Lights",rvc.toggleExtraLight,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Toggle All Lights",rvc.toggleAllLights,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Open Front Left Door",rvc.openDoors,0,0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Open Front Right Door",rvc.openDoors,1,0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Open Back Left Door",rvc.openDoors,2,0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Open Back Right Door",rvc.openDoors,3,0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Open Hood",rvc.openDoors,4,0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Open Trunk",rvc.openDoors,5,0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Open Alt Trunk",rvc.openDoors,1,0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Close All Doors",rvc.closeDoors,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Open Windows",rvc.openWindows,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Close Windows",rvc.closeWindows,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Blip Police Siren",rvc.blipSiren,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Radio Skip Song",rvc.skipSong,"",0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Clean Vehicle",rvc.cleanVehicle,0,0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Fix Tyres",rvc.fixTyre,0,0.02,0.25,0.03,0.03)
    rvc.GUI.addButton("Fix Vehicle",rvc.fixVehicle,0,0.02,0.25,0.03,0.03)

	-- hide UI at the start
	rvc.GUI.hidden = true
end

function rvc.unload()

end

return rvc